Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Transfer.Property

    java.lang.Object
      java.lang.Enum<Transfer.Property>
          com.skype.api.Transfer.Property

All Implemented Interfaces:
  EnumConverting, PropertyEnumConverting, java.io.Serializable, java.lang.Comparable<Transfer.Property>

Enclosing class:
  Transfer

    public static enum Transfer.Property

extends java.lang.Enum<Transfer.Property>
implements PropertyEnumConverting

Properties of the Transfer class

Enum Constant Summary
`P_BYTES_PER_SECOND`
`P_BYTES_TRANSFERRED`
`P_CHAT_MSG_GUID`
`P_CHAT_MSG_INDEX`
`P_CONVERSATION`
`P_FAILURE_REASON`
`P_FILE_NAME`
`P_FILE_PATH`
`P_FILE_SIZE`
`P_FINISH_TIME`
`P_PARTNER_DISPLAY_NAME`
`P_PARTNER_HANDLE`
`P_START_TIME`
`P_STATUS`
`P_TYPE`
`P_UNKNOWN`

Field Summary
`static int` | `P_BYTES_PER_SECOND_VALUE`
`static int` | `P_BYTES_TRANSFERRED_VALUE`
`static int` | `P_CHAT_MSG_GUID_VALUE`
`static int` | `P_CHAT_MSG_INDEX_VALUE`
`static int` | `P_CONVERSATION_VALUE`
`static int` | `P_FAILURE_REASON_VALUE`
`static int` | `P_FILE_NAME_VALUE`
`static int` | `P_FILE_PATH_VALUE`
`static int` | `P_FILE_SIZE_VALUE`
`static int` | `P_FINISH_TIME_VALUE`
`static int` | `P_PARTNER_DISPLAY_NAME_VALUE`
`static int` | `P_PARTNER_HANDLE_VALUE`
`static int` | `P_START_TIME_VALUE`
`static int` | `P_STATUS_VALUE`
`static int` | `P_TYPE_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Transfer.Property` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`EnumConverting` | `getEnumConverter()`
`int` | `getId()`
`int` | `getIdx()`
`int` | `getModuleId()`
`byte[]` | `getRequest()`
`boolean` | `isCached()`
`static Transfer.Property` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Transfer.Property[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### P_UNKNOWN

    public static final Transfer.Property P_UNKNOWN

### P_TYPE

    public static final Transfer.Property P_TYPE

### P_PARTNER_HANDLE

    public static final Transfer.Property P_PARTNER_HANDLE

### P_PARTNER_DISPLAY_NAME

    public static final Transfer.Property P_PARTNER_DISPLAY_NAME

### P_STATUS

    public static final Transfer.Property P_STATUS

### P_FAILURE_REASON

    public static final Transfer.Property P_FAILURE_REASON

### P_START_TIME

    public static final Transfer.Property P_START_TIME

### P_FINISH_TIME

    public static final Transfer.Property P_FINISH_TIME

### P_FILE_PATH

    public static final Transfer.Property P_FILE_PATH

### P_FILE_NAME

    public static final Transfer.Property P_FILE_NAME

### P_FILE_SIZE

    public static final Transfer.Property P_FILE_SIZE

### P_BYTES_TRANSFERRED

    public static final Transfer.Property P_BYTES_TRANSFERRED

### P_BYTES_PER_SECOND

    public static final Transfer.Property P_BYTES_PER_SECOND

### P_CHAT_MSG_GUID

    public static final Transfer.Property P_CHAT_MSG_GUID

### P_CHAT_MSG_INDEX

    public static final Transfer.Property P_CHAT_MSG_INDEX

### P_CONVERSATION

    public static final Transfer.Property P_CONVERSATION

Field Detail

### P_TYPE_VALUE

    public static final int P_TYPE_VALUE

See Also:
  Constant Field Values

### P_PARTNER_HANDLE_VALUE

    public static final int P_PARTNER_HANDLE_VALUE

See Also:
  Constant Field Values

### P_PARTNER_DISPLAY_NAME_VALUE

    public static final int P_PARTNER_DISPLAY_NAME_VALUE

See Also:
  Constant Field Values

### P_STATUS_VALUE

    public static final int P_STATUS_VALUE

See Also:
  Constant Field Values

### P_FAILURE_REASON_VALUE

    public static final int P_FAILURE_REASON_VALUE

See Also:
  Constant Field Values

### P_START_TIME_VALUE

    public static final int P_START_TIME_VALUE

See Also:
  Constant Field Values

### P_FINISH_TIME_VALUE

    public static final int P_FINISH_TIME_VALUE

See Also:
  Constant Field Values

### P_FILE_PATH_VALUE

    public static final int P_FILE_PATH_VALUE

See Also:
  Constant Field Values

### P_FILE_NAME_VALUE

    public static final int P_FILE_NAME_VALUE

See Also:
  Constant Field Values

### P_FILE_SIZE_VALUE

    public static final int P_FILE_SIZE_VALUE

See Also:
  Constant Field Values

### P_BYTES_TRANSFERRED_VALUE

    public static final int P_BYTES_TRANSFERRED_VALUE

See Also:
  Constant Field Values

### P_BYTES_PER_SECOND_VALUE

    public static final int P_BYTES_PER_SECOND_VALUE

See Also:
  Constant Field Values

### P_CHAT_MSG_GUID_VALUE

    public static final int P_CHAT_MSG_GUID_VALUE

See Also:
  Constant Field Values

### P_CHAT_MSG_INDEX_VALUE

    public static final int P_CHAT_MSG_INDEX_VALUE

See Also:
  Constant Field Values

### P_CONVERSATION_VALUE

    public static final int P_CONVERSATION_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Transfer.Property[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Transfer.Property c : Transfer.Property.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Transfer.Property valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isCached

    public boolean isCached()

  Specified by:
    `isCached` in interface `PropertyEnumConverting`

### getIdx

    public int getIdx()

  Specified by:
    `getIdx` in interface `PropertyEnumConverting`

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getRequest

    public byte[] getRequest()

  Specified by:
    `getRequest` in interface `PropertyEnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### getModuleId

    public int getModuleId()

  Specified by:
    `getModuleId` in interface `PropertyEnumConverting`

### getEnumConverter

    public EnumConverting getEnumConverter()

  Specified by:
    `getEnumConverter` in interface `PropertyEnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Transfer.Property get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.